Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Deep Security AIX Platform Support Update (Q1 2020)

    • Updated:
    • 18 Dec 2019
    • Product/Version:
    • Deep Security 10.0
    • Deep Security 11.0
    • Deep Security 12.0
    • Platform:
    • N/A
Summary

Deep Security is committed to provide ongoing, long term support for the AIX platform. As an evidence of this commitment, we have released a new version of the Deep Security Agent for AIX as part of Deep Security 12.0 Update 5. The AIX platforms that are supported by the Deep Security 12.0 Agent for AIX are AIX 6.1, 7.1, and 7.2.

The new agent platform provides both quality and performance improvements. It will be the delivery vehicle for all new feature development for AIX customers.

To reduce the impact of the transition to the new agent on AIX, we are taking the following steps:

  1. We will extend the End-of-Life (EOL) date for the Deep Security Agent 9.0 to December 31, 2020.
    Below are some notes to consider:
  2. We will support the use of Deep Security Agent 9.0 on AIX with Deep Security Manager 10.0, 11.0, and 12.0.

 

Support requests for Deep Security Agent 9.0 on AIX will continue to be honoured until the end of support date (December 31, 2020). Depending on the issue, our support teams may recommend resolution using the Deep Security Agent 12.0 for AIX rather than providing fixes for the Deep Security Agent 9.0.

Support for AIX 5.3 ends with the Deep Security Agent 9.0. Customers requiring support for AIX 5.3 can continue to use the Deep Security Agent 9.0 until the end of support date (December 31, 2020). If you require further support beyond the end of support, please contact Trend Micro Technical Support with additional details.

Details
Public

Action Required

Deep Security 12.0 Agent for AIX has a minimum Deep Security Manager version of Deep Security 12.0 GA or above.

  1. Upgrade Deep Security Manager and relays to the latest release of Deep Security 12.0. Deep Security Agent 9.0 on AIX will be supported to be used with Deep Security Manager 12.0 to support this transition.
  2. Upgrade all Deep Security Agents 9.0 on AIX to Deep Security Agent 12.0 for AIX.
 
Deep Security Manager (DSM) upgrades only support N-2 major releases. Deep Security Manager 9.0 can be upgraded to 9.6 or 10.0, but not 11.0 directly. DSM 11.0 supports upgrades from 9.6 and 10.0.
Trend Micro recommends that customers plan to upgrade LTS releases at least once every two years to ensure that they stay comfortably within the standard support period for any release (GA + 3 years) and can always upgrade to the latest LTS release directly.
 
Premium
Internal
Rating:
Category:
Update
Solution Id:
1121143
Feedback
Did this article help you?

Thank you for your feedback!

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.